<template>
  <h1 class="head" :style="style">
    {{ head }}
  </h1>
</template>

<script>
export default {
  name: 'head-component',
  computed: {
    style () {
      return !this.color ? `color: #000` : `color: ${this.color}`
    }
  },
  props: {
    head: {
      content: String,
      required: true
    },
    color: {
      content: String,
      required: false
    }
  }
}
</script>

<style scoped>
.head {
  font-family: 'Boogaloo', cursive;
  font-size: 40px;
  color: #000;
  font-weight: 700;
}

.head::selection {
  background-color: #D28700FF;
  color: #fff;
}

</style>
